#include "MenuTextMap_Player1Joystick.h"

InputSetting_Joystick* MenuTextMap_Player1Joystick::GetInputSetting()
{
	return gameFunc->GetInputSetting_Player1Joystick ? gameFunc->GetInputSetting_Player1Joystick() : nullptr;
}

SDL_GameControllerButtonBind* MenuTextMap_Player1Joystick::GetBind(InputSetting_Joystick* setting)
{
	return &setting->op_map;
}

std::weak_ptr<Entity> MenuTextMap_Player1Joystick::GetPlayer(void* entityRes)
{
	return gameFunc->GetMyChar_Player1(entityRes);
}

std::shared_ptr<Entity> CreateMenuTextMap_Player1Joystick()
{
	return std::make_shared<MenuTextMap_Player1Joystick>();
}


